package com.persagy.init;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Service;

import com.googlecode.aviator.AviatorEvaluator;
import com.persagy.service.AlarmQuartzService;

import lombok.extern.slf4j.Slf4j;


@Service
@Order(1)
@Slf4j
public class InitRunner implements CommandLineRunner {
	@Autowired
	AlarmQuartzService alarmQuartzService;

	@Override
	public void run(String... args) throws Exception {
		//5.0 开始引入了 LRU 缓存，可指定缓存的表达式个数，比如设置为最大 1 万个缓存结果：
		AviatorEvaluator.getInstance().useLRUExpressionCache(10000);
		alarmQuartzService.initAlarmMessagehandler();
	}
}
